
Redmine - Defect #14979

Delete Issues Relation

2013-09-25 09:59 - Mohamed EL MOKHTARI

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.3.2

Description

Reproduce Hints:

1. open a Ticket view, go down to 'Related issues' and [Add] an issue

2. select 'Related to', type another valid ticket no. of same project and [Add] => everything ok!

3. Now try to [Delete Relation] of that issue in same view

4. Dialog 'Are you sure?', press [Ok] => relation is still active!

see defect #14023

History

#2 - 2015-04-23 13:10 - Toshi MARUYAMA

- Description updated

#3 - 2015-04-23 13:11 - Toshi MARUYAMA

- Description updated

#4 - 2017-04-14 14:31 - Ilya Prokazov

Same issue in 3.3.1

In browser network debugger i see that

http://mydomainhere.com/relations/17

returns status code 404

Redmine version                3.3.1.stable

Ruby version                   2.1.10-p492 (2016-04-01) [x86_64-linux-gnu]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

#5 - 2017-04-17 07:45 - Go MAEDA

- Status changed from New to Needs feedback

Probably a web server or a proxy server in your environment blocks HTTP DELETE requests.

Maybe you cannot delete watchers as well as relations.

#6 - 2019-04-07 07:44 - Go MAEDA

- Status changed from Needs feedback to Closed

- Priority changed from Urgent to Normal

- Resolution set to No feedback
